------------------------------------------------------------------------------------
--Name:  	Christmas2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-12-11
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(363, 249)
local Player_1 = CppScriptMgr:AddSimplePlayer(24522, 364, 250, "TwinCityCastellan", 0, 0)
Player_1:SetDir(2)
Player_1:SetZoomPercent(120)
local Player_2 = CppScriptMgr:AddPlayer(131, 361, 244, "StarRooster", 0, 0)
local Player_3 = CppScriptMgr:AddSimplePlayer(1057220, 360, 225, "Camoldo", 0, 0)
local Player_4 = CppScriptMgr:AddSimplePlayer(1062415, 367, 269, "DailyQuestEnvoy", 0, 0)
Player_4:SetDir(5)
Player_4:SetMount(200532)
CppScriptMgr:WaitMilSec(1000)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e236", 355, 250, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_5 = CppScriptMgr:QueryHero()
Player_5:SetPos(355, 250)
Player_5:SetDir(6)
CppScriptMgr:WaitMilSec(550)
Player_5:WalkTo(360, 250)
CppScriptMgr:WaitMilSec(380)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(70)
CppScriptMgr:NpcCallOut("Welcome to Twin Tech City.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZnqYslg", 150, 430, "TwinCityCastellan", 250, 655, false)
CppScriptMgr:WaitMilSec(4000)
Player_5:SetAction(200)
Player_5:Say("Nice to see you.", 1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("You must be wondering the future of Twin City. Let me introduce it for you.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZnqYslg", 150, 430, "TwinCityCastellan", 250, 655, false)
CppScriptMgr:WaitMilSec(3800)
MoveView(363, 249, 359, 223, 3, 70, 1500)
CppScriptMgr:WaitMilSec(650)
Player_3:SetAction(101)
Player_3:Say("What went wrong?", 1500)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("This is Technology Specialist Camoldo, responsible for the R&D of technologies.", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZnqYslg", 150, 430, "TwinCityCastellan", 250, 655, false)
CppScriptMgr:WaitMilSec(3800)
MoveView(360, 228, 369, 270, 3, 70, 1500)
CppScriptMgr:WaitMilSec(700)
Player_4:Say("Which space should I go?", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("We developed the car that can leap through time, which frees us from the restrictions on time and space.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZnqYslg", 150, 430, "TwinCityCastellan", 250, 655, false)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:SetViewPosByCell(363, 249)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("You can look around in the Twin Tech City.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZnqYslg", 150, 430, "TwinCityCastellan", 250, 655, false)
CppScriptMgr:WaitMilSec(3000)
Player_5:Say("I will!", 2000)
CppScriptMgr:WaitMilSec(2500)